Subject: PMP> Interfaces and Channels

From: "Harry Lewis <[email-masked]>" <[email-masked]>
Date: Wed, 5 Feb 97 21:35:55 MST

I think I got the message, loud and clear, at the interop testing, that
most implementations put the SNMP agent in the NIC and there is no
way to query the printer to learn about both NICs. The (paraphrased)
consensus was that for printing and/or printer management, it's not
so much Interfaces that are interesting, but Channels.

I'm curious about the fact that a Channel table entry is indexed to
an Interface, again, how this works. If you want to query the printer
about it's Channel services and the printer has 2 NICs, unless services
are identical for each NIC, you really can't get the complete picture.

I have a feeling the answer will be... complete picture, again, not
interesting. What *is* interesting are the Channnel services associated
with the printer which resides at this or that IP address.

If this is really the consensus and/or reality, wouldn't it be a good
idea to document this?

Harry Lewis - IBM Printing Systems